## The `upc_lock_t` type

#### Synopsis

The type declared is

        upc_lock_t

#### Description

The type `upc_lock_t` is an opaque UPC type. `upc_lock_t` is a shared datatype with incomplete type (as defined in [ISO/IEC00 Sec 6.2.5]). Objects of type `upc_lock_t` may therefore only be manipulated through pointers. Such objects have two states called locked and unlocked.

Two pointers to that reference the same lock object will compare as equal. The results of applying upc_phaseof(), upc_threadof(), and upc_addrfield() to such pointers are undefined.

Terms, definitions, and symbols

Back to index of all UPC functions